org.opencv.imgproc

## Class GeneralizedHoughBallard

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.imgproc.GeneralizedHough
    - - org.opencv.imgproc.GeneralizedHoughBallard

-     public class GeneralizedHoughBallard
      extends GeneralizedHough

  finds arbitrary template in the grayscale image using Generalized Hough Transform Detects position only without translation and rotation CITE: Ballard1981 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GeneralizedHoughBallard(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeneralizedHoughBallard` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `int` | `getLevels()`
    `int` | `getVotesThreshold()`
    `void` | `setLevels(int levels)`
    `void` | `setVotesThreshold(int votesThreshold)`

    - ### Methods inherited from class org.opencv.imgproc.GeneralizedHough

      `detect, detect, detect, detect, getCannyHighThresh, getCannyLowThresh, getDp, getMaxBufferSize, getMinDist, setCannyHighThresh, setCannyLowThresh, setDp, setMaxBufferSize, setMinDist, setTemplate, setTemplate, setTemplate, setTemplate`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralizedHoughBallard

          protected GeneralizedHoughBallard(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GeneralizedHoughBallard __fromPtr__(long addr)

    - #### getLevels

          public int getLevels()

    - #### getVotesThreshold

          public int getVotesThreshold()

    - #### setLevels

          public void setLevels(int levels)

    - #### setVotesThreshold

          public void setVotesThreshold(int votesThreshold)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `GeneralizedHough`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7